Index: trunk/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1067)
+++ trunk/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1084)
@@ -423,7 +423,4 @@
 
   UInt dimType    = getDimType  ( uiIntraMode );
-#if !HS_DMM_SIGNALLING_I0120
-  Bool dimDeltaDC = isDimDeltaDC( uiIntraMode );
-#endif
   Bool isDmmMode  = (dimType <  DMM_NUM_TYPE);
 
@@ -440,11 +437,7 @@
     case( DMM1_IDX ): 
       {
-#if SHARP_DMM1_I0110
         dmmSegmentation = pcCU->isDMM1UpscaleMode((UInt)iWidth) ? 
             &(g_dmmWedgeLists[ g_aucConvertToBit[pcCU->getDMM1BasePatternWidth((UInt)iWidth)] ][ pcCU->getDmmWedgeTabIdx( dimType, uiAbsPartIdx ) ]) : 
             &(g_dmmWedgeLists[ g_aucConvertToBit[iWidth] ][ pcCU->getDmmWedgeTabIdx( dimType, uiAbsPartIdx ) ]);
-#else
-        dmmSegmentation = &(g_dmmWedgeLists[ g_aucConvertToBit[iWidth] ][ pcCU->getDmmWedgeTabIdx( dimType, uiAbsPartIdx ) ]);
-#endif
       } break;
     case( DMM4_IDX ): 
@@ -464,5 +457,4 @@
     }
     assert( dmmSegmentation );
-#if SHARP_DMM1_I0110
     if( dimType == DMM1_IDX && pcCU->isDMM1UpscaleMode((UInt)iWidth) ) 
     {
@@ -475,8 +467,4 @@
         patternStride = dmmSegmentation->getStride ();
     }
-#else
-    biSegPattern  = dmmSegmentation->getPattern();
-    patternStride = dmmSegmentation->getStride ();
-#endif
   }
 #endif
@@ -495,9 +483,5 @@
   Pel segDC1 = 0;
   Pel segDC2 = 0;
-#if HS_DMM_SIGNALLING_I0120
   if( !pcCU->getSDCFlag( uiAbsPartIdx ) )
-#else
-  if( dimDeltaDC )
-#endif
   {
     Pel deltaDC1 = pcCU->getDimDeltaDC( dimType, 0, uiAbsPartIdx );
@@ -568,10 +552,9 @@
     pcCU->getSPAbsPartIdx(uiPartAddr, iSPWidth, iSPHeight, i, iNumSPInOneLine, uiSPAddr[i]);
   }
-#if SHARP_ARP_CHROMA_I0104
   if( pcCU->getARPW( uiPartAddr ) != 0 )
   {
     return;
   }
-#endif
+
   // horizontal sub-PU merge
   for (Int i=0; i<iNumSP; i++)
@@ -745,5 +728,5 @@
   Int uiMinDepth = MAX_INT;
   Int uiMaxDepth = 0;
-#if SEC_DBBP_DMM4_THRESHOLD_I0076
+
   iSumDepth  = pDepthPels[ 0 ];
   iSumDepth += pDepthPels[ uiWidth - 1 ];
@@ -760,26 +743,5 @@
   uiMaxDepth = std::max( uiMaxDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) ]);
   uiMaxDepth = std::max( uiMaxDepth, (Int)pDepthPels[ uiDepthStride * (uiHeight - 1) + uiWidth - 1 ]);
-#else
-  for (Int y=0; y<uiHeight; y++)
-  {
-    for (Int x=0; x<uiWidth; x++)
-    {
-      Int depthPel = pDepthPels[x];
-      iSumDepth += depthPel;
-      
-      if( depthPel > uiMaxDepth )
-      {
-        uiMaxDepth = depthPel;
-      }
-      if( depthPel < uiMinDepth )
-      {
-        uiMinDepth = depthPel;
-      }
-    }
-    
-    // next row
-    pDepthPels += uiDepthStride;
-  }
-#endif
+
   
   // don't generate mask for blocks with small depth range (encoder decision)
@@ -790,10 +752,5 @@
   
   AOF(uiWidth==uiHeight);
-#if SEC_DBBP_DMM4_THRESHOLD_I0076
   Int iMean = iSumDepth >> 2;
-#else
-  Int iSizeInBits = g_aucConvertToBit[uiWidth]+2;
-  Int iMean = iSumDepth >> iSizeInBits*2;       // iMean /= (uiWidth*uiHeight);
-#endif
   
   // start again for segmentation
@@ -842,9 +799,5 @@
 }
 
-#if SHARP_DBBP_SIMPLE_FLTER_I0109
 Void TComPrediction::combineSegmentsWithMask( TComYuv* pInYuv[2], TComYuv* pOutYuv, Bool* pMask, UInt uiWidth, UInt uiHeight, UInt uiPartAddr, UInt partSize )
-#else
-Void TComPrediction::combineSegmentsWithMask( TComYuv* pInYuv[2], TComYuv* pOutYuv, Bool* pMask, UInt uiWidth, UInt uiHeight, UInt uiPartAddr )
-#endif
 {
   Pel*  piSrc[2]    = {pInYuv[0]->getLumaAddr(uiPartAddr), pInYuv[1]->getLumaAddr(uiPartAddr)};
@@ -854,7 +807,4 @@
   
   UInt  uiMaskStride= MAX_CU_SIZE;
-#if !SHARP_DBBP_SIMPLE_FLTER_I0109
-  Pel  filSrc = 0;
-#endif
   Pel* tmpTar = 0;
   tmpTar = (Pel *)xMalloc(Pel, uiWidth*uiHeight);
@@ -880,5 +830,4 @@
   }
   
-#if SHARP_DBBP_SIMPLE_FLTER_I0109
   if (partSize == SIZE_Nx2N)
   {
@@ -917,39 +866,4 @@
     }
   }
-#else
-  for (Int y=0; y<uiHeight; y++)
-  {
-    for (Int x=0; x<uiWidth; x++)
-    {
-      Bool t = (y==0)?pMaskStart[y*uiMaskStride+x]:pMaskStart[(y-1)*uiMaskStride+x];
-      Bool l = (x==0)?pMaskStart[y*uiMaskStride+x]:pMaskStart[y*uiMaskStride+x-1];
-      Bool b = (y==uiHeight-1)?pMaskStart[y*uiMaskStride+x]:pMaskStart[(y+1)*uiMaskStride+x];
-      Bool r = (x==uiWidth-1)?pMaskStart[y*uiMaskStride+x]:pMaskStart[y*uiMaskStride+x+1];
-      Bool c =pMaskStart[y*uiMaskStride+x];
-
-      Pel left, right, top, bottom;
-      left   = (x==0)          ? tmpTar[y*uiWidth+x] : tmpTar[y*uiWidth+x-1];
-      right  = (x==uiWidth-1)  ? tmpTar[y*uiWidth+x] : tmpTar[y*uiWidth+x+1];
-      top    = (y==0)          ? tmpTar[y*uiWidth+x] : tmpTar[(y-1)*uiWidth+x];
-      bottom = (y==uiHeight-1) ? tmpTar[y*uiWidth+x] : tmpTar[(y+1)*uiWidth+x];
-
-      if(!((l&&r&&c) || (!l&&!r&&!c)))
-      {
-        filSrc = Clip3( Pel( 0 ), Pel( 255 ), Pel(( left + (tmpTar[y*uiWidth+x] << 1) + right ) >> 2 ));
-      }
-      else
-      {
-        filSrc = tmpTar[y*uiWidth+x];
-      }
-
-      if(!((t&&b&&c) || (!t&&!b&&!c)))
-      {
-        filSrc = Clip3( Pel( 0 ), Pel( 255 ), Pel(( top + (filSrc << 1) + bottom ) >> 2 ));
-      }
-      piDst[x] = filSrc;
-    }
-    piDst     += uiDstStride;
-  }
-#endif
 
   if ( tmpTar    ) { xFree(tmpTar);             tmpTar        = NULL; }
@@ -989,5 +903,4 @@
   }
 
-#if SHARP_DBBP_SIMPLE_FLTER_I0109
   if (partSize == SIZE_Nx2N)
   {
@@ -1056,51 +969,5 @@
     }
   }
-#else
-  for (Int y=0; y<uiHeightC; y++)
-  {
-    for (Int x=0; x<uiWidthC; x++)
-    {
-      Bool t = (y==0)?pMaskStart[y*2*uiMaskStride+x*2]:pMaskStart[(y-1)*2*uiMaskStride+x*2];
-      Bool l = (x==0)?pMaskStart[y*2*uiMaskStride+x*2]:pMaskStart[y*2*uiMaskStride+(x-1)*2];
-      Bool b = (y==uiHeightC-1)?pMaskStart[y*2*uiMaskStride+x*2]:pMaskStart[(y+1)*2*uiMaskStride+x*2];
-      Bool r = (x==uiWidthC-1)?pMaskStart[y*2*uiMaskStride+x*2]:pMaskStart[y*2*uiMaskStride+(x+1)*2];
-      Bool c =pMaskStart[y*2*uiMaskStride+x*2];
-
-      Pel leftU, rightU, topU, bottomU;
-      leftU   = (x==0)           ? tmpTarU[y*uiWidthC+x] : tmpTarU[y*uiWidthC+x-1];
-      rightU  = (x==uiWidthC-1)  ? tmpTarU[y*uiWidthC+x] : tmpTarU[y*uiWidthC+x+1];
-      topU    = (y==0)           ? tmpTarU[y*uiWidthC+x] : tmpTarU[(y-1)*uiWidthC+x];
-      bottomU = (y==uiHeightC-1) ? tmpTarU[y*uiWidthC+x] : tmpTarU[(y+1)*uiWidthC+x];
-
-      Pel leftV, rightV, topV, bottomV;
-      leftV   = (x==0)           ? tmpTarV[y*uiWidthC+x] : tmpTarV[y*uiWidthC+x-1];
-      rightV  = (x==uiWidthC-1)  ? tmpTarV[y*uiWidthC+x] : tmpTarV[y*uiWidthC+x+1];
-      topV    = (y==0)           ? tmpTarV[y*uiWidthC+x] : tmpTarV[(y-1)*uiWidthC+x];
-      bottomV = (y==uiHeightC-1) ? tmpTarV[y*uiWidthC+x] : tmpTarV[(y+1)*uiWidthC+x];
-
-      if(!((l&&r&&c) || (!l&&!r&&!c)))
-      {
-        filSrcU = Clip3( Pel( 0 ), Pel( 255 ), Pel(( leftU + (tmpTarU[y*uiWidthC+x] << 1) + rightU ) >> 2 ));
-        filSrcV = Clip3( Pel( 0 ), Pel( 255 ), Pel(( leftV + (tmpTarV[y*uiWidthC+x] << 1) + rightV ) >> 2 ));
-      }
-      else
-      {
-        filSrcU = tmpTarU[y*uiWidthC+x];
-        filSrcV = tmpTarV[y*uiWidthC+x];
-      }
-
-      if(!((t&&b&&c) || (!t&&!b&&!c)))
-      {
-        filSrcU = Clip3( Pel( 0 ), Pel( 255 ), Pel(( topU + (filSrcU << 1) + bottomU ) >> 2 ));
-        filSrcV = Clip3( Pel( 0 ), Pel( 255 ), Pel(( topV + (filSrcV << 1) + bottomV ) >> 2 ));
-      }
-
-      piDstU[x] = filSrcU;
-      piDstV[x] = filSrcV;
-    }
-    piDstU      += uiDstStrideC;
-    piDstV      += uiDstStrideC;
-  }
-#endif
+
   if ( tmpTarU    ) { xFree(tmpTarU);             tmpTarU        = NULL; }
   if ( tmpTarV    ) { xFree(tmpTarV);             tmpTarV        = NULL; }
@@ -1475,11 +1342,7 @@
   pcCU->clipMv(cMv);
   TComPicYuv* pcPicYuvRef = pcCU->getSlice()->getRefPic( eRefPicList, iRefIdx )->getPicYuvRec();
-#if QC_I0129_ARP_FIX
   xPredInterLumaBlk  ( pcCU, pcPicYuvRef, uiPartAddr, &cMv, iWidth, iHeight, rpcYuvPred, bi || ( dW > 0 ), true );
   xPredInterChromaBlk( pcCU, pcPicYuvRef, uiPartAddr, &cMv, iWidth, iHeight, rpcYuvPred, bi || ( dW > 0 ), true );
-#else
-  xPredInterLumaBlk  ( pcCU, pcPicYuvRef, uiPartAddr, &cMv, iWidth, iHeight, rpcYuvPred, bi, true );
-  xPredInterChromaBlk( pcCU, pcPicYuvRef, uiPartAddr, &cMv, iWidth, iHeight, rpcYuvPred, bi, true );
-#endif
+
   if( dW > 0 )
   {
@@ -1489,45 +1352,25 @@
     TComMv cMVwithDisparity = cMv + cDistparity.m_acNBDV;
     pcCU->clipMv(cMVwithDisparity);
-#if SHARP_ARP_CHROMA_I0104
     if (iWidth <= 8)
     {
       pYuvB0->clear(); pYuvB1->clear();
     }
-#endif
 
     assert ( cDistparity.bDV );
     
-#if NTT_BUG_FIX_TK54
     TComMv cNBDV = cDistparity.m_acNBDV;
     pcCU->clipMv( cNBDV );
     
     pcPicYuvRef = pcPicYuvBaseCol->getPicYuvRec();
-#if QC_I0129_ARP_FIX
     xPredInterLumaBlk  ( pcCU, pcPicYuvRef, uiPartAddr, &cNBDV, iWidth, iHeight, pYuvB0, true, true );
-#if SHARP_ARP_CHROMA_I0104
     if (iWidth > 8)
-#endif
-    xPredInterChromaBlk( pcCU, pcPicYuvRef, uiPartAddr, &cNBDV, iWidth, iHeight, pYuvB0, true, true );
-#else
-    xPredInterLumaBlk  ( pcCU, pcPicYuvRef, uiPartAddr, &cNBDV, iWidth, iHeight, pYuvB0, bi, true );
-    xPredInterChromaBlk( pcCU, pcPicYuvRef, uiPartAddr, &cNBDV, iWidth, iHeight, pYuvB0, bi, true );
-#endif
-#else
-    pcPicYuvRef = pcPicYuvBaseCol->getPicYuvRec();
-    xPredInterLumaBlk  ( pcCU, pcPicYuvRef, uiPartAddr, &cDistparity.m_acNBDV, iWidth, iHeight, pYuvB0, bi, true );
-    xPredInterChromaBlk( pcCU, pcPicYuvRef, uiPartAddr, &cDistparity.m_acNBDV, iWidth, iHeight, pYuvB0, bi, true );
-#endif
+      xPredInterChromaBlk( pcCU, pcPicYuvRef, uiPartAddr, &cNBDV, iWidth, iHeight, pYuvB0, true, true );
     
     pcPicYuvRef = pcPicYuvBaseRef->getPicYuvRec();
-#if QC_I0129_ARP_FIX
     xPredInterLumaBlk  ( pcCU, pcPicYuvRef, uiPartAddr, &cMVwithDisparity, iWidth, iHeight, pYuvB1, true, true );
-#if SHARP_ARP_CHROMA_I0104
+  
     if (iWidth > 8)
-#endif
-    xPredInterChromaBlk( pcCU, pcPicYuvRef, uiPartAddr, &cMVwithDisparity, iWidth, iHeight, pYuvB1, true, true );
-#else
-    xPredInterLumaBlk  ( pcCU, pcPicYuvRef, uiPartAddr, &cMVwithDisparity, iWidth, iHeight, pYuvB1, bi, true );
-    xPredInterChromaBlk( pcCU, pcPicYuvRef, uiPartAddr, &cMVwithDisparity, iWidth, iHeight, pYuvB1, bi, true );
-#endif
+      xPredInterChromaBlk( pcCU, pcPicYuvRef, uiPartAddr, &cMVwithDisparity, iWidth, iHeight, pYuvB1, true, true );
+    
     pYuvB0->subtractARP( pYuvB0 , pYuvB1 , uiPartAddr , iWidth , iHeight );
 
@@ -1540,5 +1383,4 @@
 }
 
-#if QC_I0051_ARP_SIMP
 Bool TComPrediction::xCheckBiInterviewARP( TComDataCU* pcCU, UInt uiPartAddr, Int iWidth, Int iHeight, RefPicList eBaseRefPicList, TComPic*& pcPicYuvCurrTRef, TComMv& cBaseTMV, Int& iCurrTRefPoc )
 {
@@ -1572,9 +1414,6 @@
         Int  iCurrRefPOC = pcPicYuvBaseTRef->getPOC();
         Int  iCurrRef    = pcCU->getSlice()->getFirstTRefIdx(eRefPicListCurr);
-#if MTK_I0072_IVARP_SCALING_FIX
+
         if( iCurrRef >= 0 && iCurrPOC != iCurrRefPOC)
-#else
-        if( iCurrRef >= 0)
-#endif
         {
           pcPicYuvCurrTRef =  pcCU->getSlice()->getRefPic(eRefPicListCurr,iCurrRef);  
@@ -1608,5 +1447,4 @@
   return false;
 }
-#endif
 
 Void TComPrediction::xPredInterUniARPviewRef( TComDataCU* pcCU, UInt uiPartAddr, Int iWidth, Int iHeight, RefPicList eRefPicList, TComYuv*& rpcYuvPred, Bool bi, TComMvField * pNewMvFiled )
@@ -1643,5 +1481,4 @@
   pcYuvBaseCol->getCUAddrAndPartIdx( irefPUX, irefPUY, uiLCUAddr, uiAbsPartAddr);
   TComDataCU *pColCU = pcPicYuvBaseCol->getCU( uiLCUAddr );
-#if QC_I0051_ARP_SIMP
   if( pcCU->getSlice()->isInterB() && !pcCU->getSlice()->getIsDepth() )
   {
@@ -1708,7 +1545,4 @@
 
   if( !pColCU->isIntra( uiAbsPartAddr ) && !bTMVAvai )
-#else
-  if(!pColCU->isIntra(uiAbsPartAddr))
-#endif
   {
     TComMvField puMVField;
@@ -1723,9 +1557,5 @@
         Int  iCurrRefPOC = pcPicYuvBaseTRef->getPOC();
         Int  iCurrRef    = pcCU->getSlice()->getFirstTRefIdx(eRefPicListCurr);
-#if MTK_I0072_IVARP_SCALING_FIX
         if (iCurrRef >= 0 && iCurrRefPOC != iCurrPOC)
-#else
-        if( iCurrRef >= 0)
-#endif
         {
           pcPicYuvCurrTRef =  pcCU->getSlice()->getRefPic(eRefPicListCurr,iCurrRef);  
@@ -1754,11 +1584,8 @@
     pcPicYuvCurrTRef =  pcCU->getSlice()->getRefPic  (eRefPicList,  pcCU->getSlice()->getFirstTRefIdx(eRefPicList));      
   }
-#if QC_I0129_ARP_FIX
+
   xPredInterLumaBlk  ( pcCU, pcYuvBaseCol, uiPartAddr, &cTempDMv, iWidth, iHeight, rpcYuvPred, bi || ( dW > 0 && bTMVAvai ),        bTMVAvai);
   xPredInterChromaBlk( pcCU, pcYuvBaseCol, uiPartAddr, &cTempDMv, iWidth, iHeight, rpcYuvPred, bi || ( dW > 0 && bTMVAvai ),        bTMVAvai);
-#else
-  xPredInterLumaBlk  ( pcCU, pcYuvBaseCol, uiPartAddr, &cTempDMv, iWidth, iHeight, rpcYuvPred, bi,        bTMVAvai);
-  xPredInterChromaBlk( pcCU, pcYuvBaseCol, uiPartAddr, &cTempDMv, iWidth, iHeight, rpcYuvPred, bi,        bTMVAvai);
-#endif
+
   if( dW > 0 && bTMVAvai ) 
   {
@@ -1771,28 +1598,19 @@
     pcCU->clipMv(cBaseTMV);
     pcCU->clipMv(cTempMv);
-#if SHARP_ARP_CHROMA_I0104
+
     if (iWidth <= 8)
     {
       pYuvCurrTRef->clear(); pYuvBaseTRef->clear();
     }
-#endif
-#if QC_I0129_ARP_FIX
     xPredInterLumaBlk  ( pcCU, pcYuvCurrTref, uiPartAddr, &cBaseTMV, iWidth, iHeight, pYuvCurrTRef, true,   true);
-#if SHARP_ARP_CHROMA_I0104
+
     if (iWidth > 8)
-#endif
-    xPredInterChromaBlk( pcCU, pcYuvCurrTref, uiPartAddr, &cBaseTMV, iWidth, iHeight, pYuvCurrTRef, true,   true);
+      xPredInterChromaBlk( pcCU, pcYuvCurrTref, uiPartAddr, &cBaseTMV, iWidth, iHeight, pYuvCurrTRef, true,   true);
+
     xPredInterLumaBlk  ( pcCU, pcYuvBaseTref, uiPartAddr, &cTempMv,  iWidth, iHeight, pYuvBaseTRef, true,   true); 
-#if SHARP_ARP_CHROMA_I0104
+
     if (iWidth > 8)
-#endif
-    xPredInterChromaBlk( pcCU, pcYuvBaseTref, uiPartAddr, &cTempMv,  iWidth, iHeight, pYuvBaseTRef, true,   true); 
-#else
-    xPredInterLumaBlk  ( pcCU, pcYuvCurrTref, uiPartAddr, &cBaseTMV, iWidth, iHeight, pYuvCurrTRef, bi,   true);
-    xPredInterChromaBlk( pcCU, pcYuvCurrTref, uiPartAddr, &cBaseTMV, iWidth, iHeight, pYuvCurrTRef, bi,   true);
-    xPredInterLumaBlk  ( pcCU, pcYuvBaseTref, uiPartAddr, &cTempMv,  iWidth, iHeight, pYuvBaseTRef, bi,   true); 
-    xPredInterChromaBlk( pcCU, pcYuvBaseTref, uiPartAddr, &cTempMv,  iWidth, iHeight, pYuvBaseTRef, bi,   true); 
-
-#endif
+      xPredInterChromaBlk( pcCU, pcYuvBaseTref, uiPartAddr, &cTempMv,  iWidth, iHeight, pYuvBaseTRef, true,   true); 
+
     pYuvCurrTRef->subtractARP( pYuvCurrTRef , pYuvBaseTRef , uiPartAddr , iWidth , iHeight );  
     if(dW == 2)
@@ -1803,5 +1621,4 @@
   }
 }
-
 #endif
 
@@ -2328,18 +2145,7 @@
   Int iRecStride = ( eType == TEXT_LUMA ) ? pRecPic->getStride() : pRecPic->getCStride();
   Int iRefStride = ( eType == TEXT_LUMA ) ? pRefPic->getStride() : pRefPic->getCStride();
-#if SEC_IC_NEIGHBOR_CLIP_I0080
   Int iRefOffset, iHor, iVer;
-#else
-  Int iCUPelX, iCUPelY, iRefX, iRefY, iRefOffset, iHor, iVer;
-
-  iCUPelX = pcCU->getCUPelX() + g_auiRasterToPelX[g_auiZscanToRaster[pcCU->getZorderIdxInCU()]];
-  iCUPelY = pcCU->getCUPelY() + g_auiRasterToPelY[g_auiZscanToRaster[pcCU->getZorderIdxInCU()]];
-#endif
   iHor = pcCU->getSlice()->getIsDepth() ? pMv->getHor() : ( ( pMv->getHor() + 2 ) >> 2 );
   iVer = pcCU->getSlice()->getIsDepth() ? pMv->getVer() : ( ( pMv->getVer() + 2 ) >> 2 );
-#if !SEC_IC_NEIGHBOR_CLIP_I0080
-  iRefX   = iCUPelX + iHor;
-  iRefY   = iCUPelY + iVer;
-#endif
   if( eType != TEXT_LUMA )
   {
@@ -2357,9 +2163,5 @@
   Int precShift = std::max(0, (( eType == TEXT_LUMA ) ? g_bitDepthY : g_bitDepthC) - 12);
 
-#if SEC_IC_NEIGHBOR_CLIP_I0080
   if( pcCU->getPUAbove( uiTmpPartIdx, pcCU->getZorderIdxInCU() ) )
-#else
-  if( pcCU->getPUAbove( uiTmpPartIdx, pcCU->getZorderIdxInCU() ) && iCUPelY > 0 && iRefY > 0 )
-#endif
   {
     iRefOffset = iHor + iVer * iRefStride - iRefStride;
@@ -2391,9 +2193,5 @@
   }
 
-#if SEC_IC_NEIGHBOR_CLIP_I0080
   if( pcCU->getPULeft( uiTmpPartIdx, pcCU->getZorderIdxInCU() ) )
-#else
-  if( pcCU->getPULeft( uiTmpPartIdx, pcCU->getZorderIdxInCU() ) && iCUPelX > 0 && iRefX > 0 )
-#endif
   {
     iRefOffset = iHor + iVer * iRefStride - 1;
@@ -2429,5 +2227,4 @@
   }
 
-#if FIX_TICKET_71
   if( iCountShift == 0 )
   {
@@ -2436,5 +2233,4 @@
     return;
   }
-#endif
 
   xy += xx >> IC_REG_COST_SHIFT;
@@ -2553,5 +2349,5 @@
   // find contour for texture luma block
   UInt iDC = 0;
-#if SEC_DBBP_DMM4_THRESHOLD_I0076
+
   iDC  = piRefBlkY[ 0 ];
   iDC += piRefBlkY[ uiWidth - 1 ];
@@ -2559,13 +2355,4 @@
   iDC += piRefBlkY[ uiWidth * (uiHeight - 1) + uiWidth - 1 ];
   iDC = iDC >> 2;
-#else
-  for( UInt k = 0; k < (uiWidth*uiHeight); k++ ) 
-  { 
-    iDC += piRefBlkY[k]; 
-  }
-
-  Int cuMaxLog2Size = g_aucConvertToBit[g_uiMaxCUWidth]+2;   // 
-  iDC = iDC >> (cuMaxLog2Size - pcCU->getDepth(0))*2;        //  iDC /= (uiWidth*uiHeight);
-#endif
 
   piRefBlkY = cTempYuv.getLumaAddr();
Index: trunk/source/Lib/TLibCommon/TComPrediction.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComPrediction.h	(revision 1067)
+++ trunk/source/Lib/TLibCommon/TComPrediction.h	(revision 1084)
@@ -90,7 +90,5 @@
 #if H_3D_ARP
   Void xPredInterUniARP         ( TComDataCU* pcCU,                          UInt uiPartAddr,               Int iWidth, Int iHeight, RefPicList eRefPicList, TComYuv*& rpcYuvPred, Bool bi=false, TComMvField * pNewMvFiled = NULL );
-#if QC_I0051_ARP_SIMP
   Bool xCheckBiInterviewARP     ( TComDataCU* pcCU, UInt uiPartAddr, Int iWidth, Int iHeight, RefPicList eBaseRefPicList, TComPic*& pcPicYuvCurrTRef, TComMv& cBaseTMV, Int& iCurrTRefPoc );
-#endif
   Void xPredInterUniARPviewRef( TComDataCU* pcCU, UInt uiPartAddr, Int iWidth, Int iHeight, RefPicList eRefPicList, TComYuv*& rpcYuvPred, Bool bi, TComMvField * pNewMvFiled = NULL );
 #endif
@@ -179,9 +177,5 @@
   PartSize      getPartitionSizeFromDepth(Pel* pDepthPels, UInt uiDepthStride, UInt uiSize);
   Bool          getSegmentMaskFromDepth( Pel* pDepthPels, UInt uiDepthStride, UInt uiWidth, UInt uiHeight, Bool* pMask );
-#if SHARP_DBBP_SIMPLE_FLTER_I0109
   Void          combineSegmentsWithMask( TComYuv* pInYuv[2], TComYuv* pOutYuv, Bool* pMask, UInt uiWidth, UInt uiHeight, UInt uiPartAddr, UInt partSize );
-#else
-  Void          combineSegmentsWithMask( TComYuv* pInYuv[2], TComYuv* pOutYuv, Bool* pMask, UInt uiWidth, UInt uiHeight, UInt uiPartAddr = 0 );
-#endif
 #endif
 
Index: trunk/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 1067)
+++ trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 1084)
@@ -355,13 +355,7 @@
   HALF_PEL,    //   8x8
   FULL_PEL,    //  16x16
-#if SHARP_DMM1_I0110
   FULL_PEL,    //  32x32
   FULL_PEL,    //  64x64
   FULL_PEL     // 128x128
-#else
-  DOUBLE_PEL,  //  32x32
-  DOUBLE_PEL,  //  64x64
-  DOUBLE_PEL   // 128x128
-#endif
 };
 
@@ -374,7 +368,5 @@
      0,    4,    7,    8,    8,    0 };
 
-#if SHARP_DMM1_I0110
 Bool g_wedgePattern[32*32];
-#endif
 
 extern std::vector< std::vector<TComWedgelet> >   g_dmmWedgeLists;
@@ -388,11 +380,4 @@
 
 Char  g_aucConvertToBit  [ MAX_CU_SIZE+1 ];
-#if !MTK_LOW_LATENCY_IC_ENCODING_H0086_FIX
-#if H_3D_IC
-UInt g_aICEnableCANDIDATE[10] = { 0, };
-UInt g_aICEnableNUM[ 10 ] = { 0, };
-Int g_lastlayer=0;
-#endif
-#endif
 #if ENC_DEC_TRACE
 FILE*  g_hTrace = NULL;
@@ -676,9 +661,5 @@
   if( !g_dmmWedgeLists.empty() ) return;
 
-#if SHARP_DMM1_I0110
   for( UInt ui = g_aucConvertToBit[DIM_MIN_SIZE]; ui < (g_aucConvertToBit[DIM_MAX_SIZE]); ui++ )
-#else
-  for( UInt ui = g_aucConvertToBit[DIM_MIN_SIZE]; ui < (g_aucConvertToBit[DIM_MAX_SIZE]+1); ui++ )
-#endif
   {
     UInt uiWedgeBlockSize = ((UInt)DIM_MIN_SIZE)<<ui;
@@ -764,7 +745,4 @@
   switch( eWedgeRes )
   {
-#if !SHARP_DMM1_I0110
-  case( DOUBLE_PEL ): { uiBlockSize = (uiWidth>>1); break; }
-#endif
   case(   FULL_PEL ): { uiBlockSize =  uiWidth;     break; }
   case(   HALF_PEL ): { uiBlockSize = (uiWidth<<1); break; }
Index: trunk/source/Lib/TLibCommon/TComRom.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComRom.h	(revision 1067)
+++ trunk/source/Lib/TLibCommon/TComRom.h	(revision 1084)
@@ -166,7 +166,5 @@
 extern const UChar                                           g_dmm3IntraTabIdxBits[6];
 
-#if SHARP_DMM1_I0110
 extern Bool                                                  g_wedgePattern[32*32];
-#endif 
 
 extern       std::vector< std::vector<TComWedgelet> >        g_dmmWedgeLists;
@@ -230,11 +228,4 @@
 
 extern       Char   g_aucConvertToBit  [ MAX_CU_SIZE+1 ];   // from width to log2(width)-2
-#if !MTK_LOW_LATENCY_IC_ENCODING_H0086_FIX
-#if H_3D_IC
-extern UInt g_aICEnableCANDIDATE[10];
-extern UInt g_aICEnableNUM[ 10 ]; //10 layers
-extern Int  g_lastlayer;
-#endif
-#endif
 
 #ifndef ENC_DEC_TRACE
